import axios from '@/tools/axios.js'
//登录
export const Login = (data) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/login', data: data })
}
//admin后台获取当前用户菜单
export const GetAdminBaseMenuList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/getBaseMenuList', data: data })
}
//Token刷新
export const TokenRefresh = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'tokenRefresh', data: data })
}
//获取admin后台用户list
export const getAdminUserList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/getUserList', data: data })
}
//admin后台获取所有菜单列表
export const GetAdminMenuList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/getMenuList', data: data })
}
//admin后台获取一级菜单
export const GetFatherMenuList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetFatherMenuList', data: data })
}
//admin后台添加菜单
export const AddMenu = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/AddMenu', data: data })
}
//admin后台编辑菜单
export const EditMenu = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/EditMenu', data: data })
}
//admin后台组列表
export const getGroupList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/getGroupList', data: data })
}
//admin后台修改组菜单
export const GroupChangeMenu = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GroupChangeMenu', data: data })
}
//admin后台添加组
export const SaveGroup = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveGroup', data: data })
}
//admin后台保存用户信息
export const SaveSystemUserInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveSystemUserInfo', data: data })
}
//admin后台获取用户详细信息
export const GetSystemUserDetail = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetSystemUserDetail', data: data })
}
//admin后台修改密码
export const adminChangePwd = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/adminChangePwd', data: data })
}
//admin后台获取登录用户基本信息
export const GetBaseAdminUserInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetBaseUserInfo', data: data })
}
//admin后台管理员查询分组使用的菜单
export const AdminGetGroupMenuList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetGroupMenuList', data: data })
}

//admin后台创建体检日历
export const CreateCalendar = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CreateCalendar', data: data })
}
//admin后台获取日历列表
export const CalendarGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CalendarGetList', data: data })
}
//admin后台删除日历列表
export const CalendarDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CalendarListDel', data: data })
}
//admin后台更新日历
export const CalendarChangeInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CalendarChangeInfo', data: data })
}
//admin后台更新日历
export const CheckMenuAuth = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CheckMenuAuth', data: data })
}
//上传图片
// export const UpFile =   (data={}) =>  {
// 	return 	axios({url:import.meta.env.VITE_APP_API+'v1/UpFile',data:data})
// }
export const UpFileUrl = () => {
  return import.meta.env.VITE_APP_API + 'v1/UpFile'
}

//admin后台修改自身用户信息
export const ChangInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/ChangInfo', data: data })
}
//admin后台获取站点配置信息
export const GetConfigInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetConfigInfo', data: data })
}
//admin后台保存站点配置信息
export const SaveConfigInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveConfigInfo', data: data })
}


//admin后台获取检查项目类别列表
export const GetCheckItemClassList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetCheckItemClassList', data: data })
}
//admin后台获取检查项目列表
export const GetCheckItemList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetCheckItemList', data: data })
}

//admin后台获取设备列表
export const GetDeviceList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetDeviceList', data: data })
}

//admin后台保存设备
export const SaveDeviceList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveDeviceList', data: data })
}
//admin后台删除设备
export const DelDevice = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DelDevice', data: data })
}

//admin后台获取可用设备列表
export const GetEnableDeviceList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetEnableDeviceList', data: data })
}
//admin后台项目绑定设备
export const ItemBindDevice = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/ItemBindDevice', data: data })
}
//admin后台获取预约类型
export const GetYuYueTypes = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetYuYueTypes', data: data })
}
//admin后台保存检查项目信息
export const SaveItemInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveItemInfo', data: data })
}
//admin获取科室列表
export const GetDepartmentList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetDepartmentList', data: data })
}
//admin保存科室信息
export const SaveDepartment = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveDepartment', data: data })
}

//admin获取可用的科室列表
export const GetEnableDepartmentList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetEnableDepartmentList', data: data })
}

//admin保存科室资源信息
export const SaveDepartmentResource = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveDepartmentResource', data: data })
}
//admin获取科室资源列表
export const DepartmentResourceGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DepartmentResourceGetList', data: data })
}
//admin获取可用科室资源
export const DepartmentResourceGetEnableList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DepartmentResourceGetEnableList', data: data })
}
//获取资源已经绑定的设备
export const ResourceGetBindDeviceList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/ResourceGetBindDeviceList', data: data })
}

//admin删除科室信息
export const DelDepartmentInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DelDepartment', data: data })
}

//admin删除科室资源
export const DepartmentResourceDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DepartmentResourceDel', data: data })
}
//admin绑定科室资源与设备
export const DepartmentResourceBindDevice = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DepartmentResourceBindDevice', data: data })
}
//admin保存时间段信息
export const TimePeriodSave = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/TimePeriodSave', data: data })
}
//admin获取时间段list
export const TimePeriodGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/TimePeriodGetList', data: data })
}
//admin获取可用时间段
export const TimePeriodGetEnableList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/TimePeriodGetEnableList', data: data })
}
//admin获取时间段详情
export const TimePeriodGetDetail = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/TimePeriodGetDetail', data: data })
}
//admin删除时间段
export const TimePeriodDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/TimePeriodDel', data: data })
}
//admin获取资源计划模板列表
export const PlanModelGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanModelGetList', data: data })
}
//admin保存资源计划模板
export const PlanModelSave = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanModelSave', data: data })
}
//admin保存资源计划模板
export const GetAppointmentRatio = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetAppointmentRatio', data: data })
}
//admin资源计划详情
export const GetPlanModelDetailInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetPlanModelDetailInfo', data: data })
}
//admin资源计划详情
export const PlanModelDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanModelDel', data: data })
}
//admin保存预约类型（渠道）比例
export const SaveAppointmentRatio = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SaveAppointmentRatio', data: data })
}
//admin生成计划明细
export const CreatePlanList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CreatePlanList', data: data })
}
//admin获取计划明细列表
export const PlanListGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanListGetList', data: data })
}
//admin获取计划详情
export const PlanListGetDetail = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanListGetDetail', data: data })
}
//admin获取计划详情
export const PlanDetailChangeInfo = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanDetailChangeInfo', data: data })
}
//admin删除计划明细
export const PlanDetailPlanListDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanListDel', data: data })
}
//admin获取主表列表
export const GetMainList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetMainList', data: data })
}
//取消预约
export const CancelYuYue = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CancelYuYue', data: data })
}

//设置互斥
export const SetHuChi = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SetHuChi', data: data })
}
//取消互斥
export const DelHuChi = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/DelHuChi', data: data })
}
//获取互斥项
export const GetHuChiList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetHuChiList', data: data })
}
//重置密码
export const resetPwd = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/resetPwd', data: data })
}

//获取当前服务器时间
export const GetServiceDateTime = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'GetServiceDateTime', data: data })
}
//获取计划占用列表
export const GetPlanUsedList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetPlanUsedList', data: data })
}

//获取医嘱日志
export const GetLoglist = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/GetLoglist', data: data })
}

//批量检查医嘱检查项目是否可以同时预约
export const CheckEntrstItemGroup = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CheckEntrstItemGroup', data: data })
}

//查询医嘱详情
export const getMainDetail = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/getMainDetail', data: data })
}
//获取病区列表
export const InpatientWardGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/InpatientWardGetList', data: data })
}
//保存病区
export const InpatientWardSave = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/InpatientWardSave', data: data })
}
//删除病区
export const InpatientWardDel = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/InpatientWardDel', data: data })
}
//签到
export const SignIn = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/SignIn', data: data })
}
//取消签到
export const CancelSign = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CancelSign', data: data })
}
//获取医嘱列表，非主工作列表
export const EntrustGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/EntrustGetList', data: data })
}
//获取医嘱详情_多人
export const getMainDetail_duoren = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/getMainDetail_duoren', data: data })
}
//获取最近可用日期
export const NearestEnablePlanDate = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/NearestEnablePlanDate', data: data })
}
//获取某日可用号源
export const GetEnablePlan = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/GetEnablePlan', data: data })
}
//获取某日可用号源
export const PlanYuYue = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/PlanYuYue', data: data })
}
////检查当前时段是否有存在已经预约的待检查项目
export const CheckIsDaiJian = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/CheckIsDaiJian', data: data })
}
//医生端取消预约
export const DoctorCancelYuYue = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'admin/DoctorCancelYuYue', data: data })
}
//预约渠道统计
export const countAppointmentType = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/countAppointmentType', data: data })
}
//开单统计
export const CountMakeList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/CountMakeList', data: data })
}
//号源统计
export const adminPlanTongJi = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/PlanTongJi', data: data })
}

export const adminBlackListDelete = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/BlackListDelete', data: data })
}

export const adminBlackListGetList = (data = {}) => {
  return axios({ url: import.meta.env.VITE_APP_API + 'v1/admin/BlackListGetList', data: data })
}